## xterm 374

=== package/freebsd/Makefile ===
# $XTermId: Makefile,v 1.95 2022/09/27 08:18:41 tom Exp $
# $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $

# This is adapted from the FreeBSD port, installing as "xterm-dev" with
# separate resource- and manpage files.
# copy "xterm-${PORTVERSION}.tgz to the port's distfiles directory
# and "make makesum".

PORTNAME=	xterm
PORTVERSION=	374
CATEGORIES=	x11
MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
		https://invisible-mirror.net/archives/xterm/:src1
PKGNAMESUFFIX=	-dev
DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:src1

MAINTAINER=	ehaupt@FreeBSD.org
COMMENT=	Terminal emulator for the X Window System

LICENSE=	MIT
LICENSE_FILE=	${WRKSRC}/COPYING

USES=		cpe ncurses tar:tgz
USE_XORG=	xft xmu xt x11 xpm ice

GNU_CONFIGURE=	yes

CPE_VENDOR=	invisible-island

CONFIGURE_ARGS+=	--with-utempter --enable-narrowproto

CONFLICTS=	x11iraf-[0-9]*

CPPFLAGS+=	-I${LOCALBASE}/include
LIBS+=		-L${LOCALBASE}/lib

ICONVERSION=	1

OPTIONS_DEFINE=	WCHAR LUIT DECTERM PCRE DABBREV 256COLOR SIXEL GNOME LOGGING \
		SCRNDUMP REGIS TOOLBAR XINERAMA
OPTIONS_RADIO=	3D
OPTIONS_RADIO_3D=	XAW3D XAW3DXFT NEXTAW

DABBREV_DESC=	Enable support for dabbrev-expand
DECTERM_DESC=	Enable DECterm Locator support
LUIT_DESC=	Use LUIT for locale conversion from/to UTF-8
SIXEL_DESC=	Enable Sixel graphics support
REGIS_DESC=	Enable ReGIS graphics support
WCHAR_DESC=	Enable wide-character support
256COLOR_DESC=	Enable 256-color support
LOGGING_DESC=	Enable logging terminal I/O to a file
XAW3D_DESC=	Link with Xaw 3d library
XAW3DXFT_DESC=	Link with Xaw 3d xft (extended fonts) library
NEXTAW_DESC=	Link with neXT Athena library
SCRNDUMP_DESC=	Enable XHTML and SVG screen dumps
TOOLBAR_DESC=	Enable pulldown menus with a toolbar

OPTIONS_DEFAULT=WCHAR LUIT 256COLOR

256COLOR_CONFIGURE_ENABLE=	256-color
LUIT_BUILD_DEPENDS=		luit:x11/luit
LUIT_CONFIGURE_ENABLE=		luit
LUIT_IMPLIES=			WCHAR
WCHAR_CONFIGURE_ENABLE=		wide-chars
WCHAR_VARS=			PKGMESSAGE="${PKGDIR}/pkg-message.wchar"
DECTERM_CONFIGURE_ENABLE=	dec-locator
PCRE_CONFIGURE_WITH=		pcre
PCRE_LIB_DEPENDS=		libpcre.so:devel/pcre
DABBREV_CONFIGURE_ENABLE=	dabbrev
SIXEL_CONFIGURE_ENABLE=		sixel-graphics
REGIS_CONFIGURE_ENABLE=		regis-graphics
GNOME_USES=			desktop-file-utils
LOGGING_CONFIGURE_ENABLE=	logging
SCRNDUMP_CONFIGURE_ENABLE=	screen-dumps
XAW3D_CONFIGURE_WITH=		Xaw3d
XAW3D_LIB_DEPENDS=		libXaw3d.so:x11-toolkits/Xaw3d
XAW3DXFT_CONFIGURE_WITH=	Xaw3dxft
XAW3DXFT_LIB_DEPENDS=		libXaw3dxft.so:x11-toolkits/libxaw3dxft
NEXTAW_CONFIGURE_WITH=		neXtaw
NEXTAW_LIB_DEPENDS=		libneXtaw.so:x11-toolkits/neXtaw
TOOLBAR_CONFIGURE_ENABLE=	toolbar
WCHAR_LIB_DEPENDS=		libfreetype.so:print/freetype2
XINERAMA_USE=			XORG=xinerama,xorgproto
XINERAMA_CONFIGURE_OFF=		--without-xinerama

PKG_CLASS=	XTermDev
LIB_DEPENDS+=	libfontconfig.so:x11-fonts/fontconfig

.include <bsd.port.options.mk>

CONFIGURE_ARGS+=	--program-suffix=${PKGNAMESUFFIX} --with-app-class=${PKG_CLASS} --without-xterm-symlink

.if ! ${PORT_OPTIONS:MXAW3D} && ! ${PORT_OPTIONS:MXAW3DXFT} && ! ${PORT_OPTIONS:MNEXTAW}
USE_XORG+=	xaw
.endif

#post-extract:
#	@${CP} ${WRKDIR}/bsd-xterm-icons-1/*.png \
#		${WRKDIR}/bsd-xterm-icons-1/*.xpm \
#			${WRKSRC}/icons/

post-install:
.for f in koi8rxterm${PKGNAMESUFFIX} resize${PKGNAMESUFFIX} uxterm${PKGNAMESUFFIX} xterm${PKGNAMESUFFIX}
	@${CHMOD} ${BINMODE} ${STAGEDIR}${PREFIX}/bin/${f}
.endfor
	${INSTALL_DATA} ${WRKSRC}/xterm.desktop \
		${STAGEDIR}${PREFIX}/share/applications/xterm${PKGNAMESUFFIX}.desktop

.include <bsd.port.mk>

=== package/pkgsrc/Makefile ===
# $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $

DISTNAME=	xterm-374
PKGREVISION=	1
CATEGORIES=	x11
MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/
EXTRACT_SUFX=	.tgz

MAINTAINER=	pkgsrc-users@NetBSD.org
HOMEPAGE=	https://invisible-island.net/xterm/xterm.html
COMMENT=	Latest terminal emulator for the X Window System
LICENSE=	x11

GNU_CONFIGURE=		yes
USE_TOOLS+=		tbl pkg-config

WRKSRC=			${WRKDIR}/${PKGNAME_NOREV}

CONFIGURE_ARGS+=	--enable-88-color
CONFIGURE_ARGS+=	--enable-256-color
CONFIGURE_ARGS+=	--enable-paste64
CONFIGURE_ARGS+=	--enable-readline-mouse

CONFIGURE_ARGS.standard=# empty
CONFIGURE_ARGS.3d=	--with-Xaw3d
CONFIGURE_ARGS.xpm=	--with-Xaw3d
CONFIGURE_ARGS.neXtaw=	--with-neXtaw
CONFIGURE_ARGS+=	${${CONFIGURE_ARGS.${XAW_TYPE}}:L}

INSTALLATION_DIRS=	share/applications

.include "../../mk/bsd.prefs.mk"

.if ${X11_TYPE} == "modular"
CONFIGURE_ARGS+=	--disable-imake
CONFIGURE_ARGS+=	--enable-narrowproto
.endif

.if exists(/usr/include/wchar.h)
CONFIGURE_ARGS+=	--enable-wide-chars
.endif

.include "../../x11/libX11/buildlink3.mk"
.include "../../x11/libXt/buildlink3.mk"
###
### For detection of XKB bell extension.
###
BUILDLINK_DEPMETHOD.libxkbfile?=	build
.include "../../x11/libxkbfile/buildlink3.mk"

post-install:
	${INSTALL_DATA} ${WRKSRC}/xterm.desktop \
		${DESTDIR}${PREFIX}/share/applications && \
	${INSTALL_DATA} ${WRKSRC}/uxterm.desktop \
		${DESTDIR}${PREFIX}/share/applications
	cd ${DESTDIR}${PREFIX}/${PKGMANDIR}/man1 && tbl xterm.1 \
		> xterm.1.tbl && mv xterm.1.tbl xterm.1

.include "options.mk"

.include "../../mk/curses.buildlink3.mk"
.include "../../mk/termcap.buildlink3.mk"
.include "../../sysutils/desktop-file-utils/desktopdb.mk"
.include "../../mk/xaw.buildlink3.mk"
.include "../../mk/bsd.pkg.mk"

=== debian/changelog ===
xterm (374-1) unstable; urgency=medium

  * New upstream release.
  * Drop cherry-picked patches.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 17 Oct 2022 19:33:04 +0200

## xterm 375

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.95 2022/09/27 08:18:41 tom Exp $
+# $XTermId: Makefile,v 1.96 2022/10/21 00:45:30 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	374
+PORTVERSION=	375
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-374
+DISTNAME=	xterm-375
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (375-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Nov 2022 15:06:28 +0100

xterm (375-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 26 Oct 2022 18:15:57 +0200

=== debian/control ===
Source: xterm
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sven Joachim <svenjoac@gmx.de>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
Homepage: https://invisible-island.net/xterm/xterm.html
Build-Depends:
 libncurses-dev,
 libxft-dev (>> 2.1.2), libxrender-dev (>> 1:0.9.0),
 libxaw7-dev,
 libxkbfile-dev,
 libutempter-dev,
 libxcursor-dev,
 libxinerama-dev,
 debhelper-compat (= 13),
 debhelper (>= 13.1~),
 autoconf-dickey (>= 2.52+20210105),
 groff,
 bsdextrautils | bsdmainutils (<< 12.1.1~),
 lynx,
 xorg-docs-core,
 desktop-file-utils,

# Reasons for Build-Depends:
#
# (An "R" to the left of a file specification indicates a file that was removed
# from the upstream source tree when the Debian source package was prepared and
# an "I" to the left of a file specification indicates a file that is
# irrelevant or unused as part of the package build process; such files
# therefore do not actually cause a build-dependency, but are mentioned here for
# completeness.)
#
# Upstream build dependencies on commands are listed first, followed by
# upstream build depenencies on library headers, and then Debian packaging
# infrastructure dependencies.
#
#   libncurses-dev
#       Tekproc.c:#include <menu.h>
#   I   aclocal.m4:#include <termcap.h>],[
#   I   aclocal.m4:#include <curses.h>
#   I   aclocal.m4:#include <term.h>          /* eliminate most BSD hacks */
#       button.c:#include <menu.h>
#       charproc.c:#include <menu.h>
#   I   configure:#include <termcap.h>
#   I   configure:#include <curses.h>
#   I   configure:#include <term.h>           /* eliminate most BSD hacks */
#       fontutils.c:#include <menu.h>
#       main.c:#include <menu.h>
#       menu.c:#include <menu.h>
#       misc.c:#include <menu.h>
#       os2main.c:#include <menu.h>
#       print.c:#include <menu.h>
#       resize.c:#include <termcap.h>
#       resize.c:#include <curses.h>
#       resize.c:#include <curses.h>
#       resize.c:#include <term.h>            /* tgetent() */
#       scrollbar.c:#include <menu.h>
#       util.c:#include <menu.h>
#   libxft-dev (>> 2.1.2)
#       aclocal.m4:#include <X11/Xft/Xft.h>],[
#       configure:#include <X11/Xft/Xft.h>
#       ptyx.h:#include <X11/Xft/Xft.h>
#   libxrender-dev (>> 1:0.9.0)
#       aclocal.m4:#include <X11/extensions/Xrender.h>
#       configure:#include <X11/extensions/Xrender.h>
#   libxaw7-dev
#       main.c:#include <X11/Xaw/Form.h>
#       main.c:#include <X11/Xaw3d/Form.h>
#       main.c:#include <X11/XawPlus/Form.h>
#       menu.c:#include <X11/Xaw/SimpleMenu.h>
#       menu.c:#include <X11/Xaw/Box.h>
#       menu.c:#include <X11/Xaw/SmeBSB.h>
#       menu.c:#include <X11/Xaw/SmeLine.h>
#       menu.c:#include <X11/Xaw/MenuButton.h>
#       menu.c:#include <X11/Xaw/Form.h>
#       menu.c:#include <X11/Xaw3d/SimpleMenu.h>
#       menu.c:#include <X11/Xaw3d/Box.h>
#       menu.c:#include <X11/Xaw3d/SmeBSB.h>
#       menu.c:#include <X11/Xaw3d/SmeLine.h>
#       menu.c:#include <X11/Xaw3d/MenuButton.h>
#       menu.c:#include <X11/Xaw3d/Form.h>
#       menu.c:#include <X11/XawPlus/SimpleMenu.h>
#       menu.c:#include <X11/XawPlus/Box.h>
#       menu.c:#include <X11/XawPlus/SmeBSB.h>
#       menu.c:#include <X11/XawPlus/SmeLine.h>
#       menu.c:#include <X11/XawPlus/MenuButton.h>
#       menu.c:#include <X11/XawPlus/Form.h>
#       os2main.c:#include <X11/Xaw/Form.h>
#       os2main.c:#include <X11/Xaw3d/Form.h>
#       os2main.c:#include <X11/XawPlus/Form.h>
#       scrollbar.c:#include <X11/Xaw/Scrollbar.h>
#       scrollbar.c:#include <X11/Xaw3d/Scrollbar.h>
#       scrollbar.c:#include <X11/XawPlus/Scrollbar.h>
#       Tekproc.c:#include <X11/Xaw/Form.h>
#       Tekproc.c:#include <X11/Xaw3d/Form.h>
#       Tekproc.c:#include <X11/XawPlus/Form.h>
#   libxkbfile-dev
#       data.h:#include <X11/extensions/XKBbells.h>
#   libutempter-dev
#       main.c:#include <utempter.h>
#   libxcursor-dev
#       misc.c:#ifdev HAVE_LIB_XCURSOR
#   libxinerama-dev
#       util.c:#ifdef HAVE_X11_EXTENSIONS_XINERAMA_H
#   xorg-docs-core                  provides X(7) which minstall.sh tries to
#                                   detect
#   debhelper-compat (= 13)         debhelper compat level 13
#   debhelper (>= 13.1~)            dh_installalternatives
#   autoconf-dickey                 regenerate configure
#   groff, bsdextrautils            regenerate ctlseqs.txt
#   lynx                            generates plain-text version of xterm faq
#   desktop-file-utils              for installing xterm.desktop

Package: xterm
Architecture: any
Multi-Arch: foreign
Depends:
 xbitmaps,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: luit | x11-utils (<< 7.7+6~)
Suggests: xfonts-cyrillic
Provides: x-terminal-emulator
Description: X terminal emulator
 xterm is a terminal emulator for the X Window System.  It provides DEC VT102
 and Tektronix 4014 compatible terminals for programs that cannot use the
 window system directly.  This version implements ISO/ANSI colors and most of
 the control sequences used by DEC VT220 terminals.
 .
 This package provides four commands: xterm, which is the traditional
 terminal emulator; uxterm, which is a wrapper around xterm that is
 intelligent about locale settings (especially those which use the UTF-8
 character encoding), but which requires the luit program from the luit
 package; koi8rxterm, a wrapper similar to uxterm for locales that use the
 KOI8-R character set; and lxterm, a simple wrapper that chooses which of the
 previous commands to execute based on the user's locale settings.
 .
 A complete list of control sequences supported by the X terminal emulator
 is provided in /usr/share/doc/xterm.
 .
 The xterm program uses bitmap images provided by the xbitmaps package.
 .
 Those interested in using koi8rxterm will likely want to install the
 xfonts-cyrillic package as well.

## xterm 376

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.96 2022/10/21 00:45:30 tom Exp $
+# $XTermId: Makefile,v 1.97 2022/10/30 10:48:25 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	375
+PORTVERSION=	376
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-375
+DISTNAME=	xterm-376
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

## xterm 377

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.97 2022/10/30 10:48:25 tom Exp $
+# $XTermId: Makefile,v 1.98 2022/11/21 00:18:58 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	376
+PORTVERSION=	377
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-376
+DISTNAME=	xterm-377
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (377-1) unstable; urgency=medium

  [ Sven Joachim ]
  * New upstream release.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libxft-dev and libxrender-dev.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 28 Nov 2022 18:01:50 +0100

xterm (376-1) unstable; urgency=medium

  * New upstream release.
    - Add null-pointer checks in x_strcasecmp and x_strncasecmp, to
      help with error-recovery for a missing font (Closes: #1022942).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 18 Nov 2022 18:01:10 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Homepage: https://invisible-island.net/xterm/xterm.html
 Build-Depends:
  libncurses-dev,
- libxft-dev (>> 2.1.2), libxrender-dev (>> 1:0.9.0),
+ libxft-dev, libxrender-dev,
  libxaw7-dev,
  libxkbfile-dev,
  libutempter-dev,

## xterm 378

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-377
+DISTNAME=	xterm-378
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (378-1) unstable; urgency=medium

  * New upstream release.
  * Refresh Debian patches.
  * Update years in debian/copyright.
  * Update copy of XTerm FAQ to revision 1.419 (dated 2022/12/15).
  * Bump autoconf-dickey build dependency to (>= 2.52+20210509), as per
    configure.in.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 10 Jan 2023 19:43:51 +0100

## xterm 379

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.98 2022/11/21 00:18:58 tom Exp $
+# $XTermId: Makefile,v 1.100 2023/01/25 01:14:44 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	377
+PORTVERSION=	379
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-378
+DISTNAME=	xterm-379
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (379-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 17 Feb 2023 18:01:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
 Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
@@ -18,7 +18,7 @@
  libxinerama-dev,
  debhelper-compat (= 13),
  debhelper (>= 13.1~),
- autoconf-dickey (>= 2.52+20210105),
+ autoconf-dickey (>= 2.52+20210509),
  groff,
  bsdextrautils | bsdmainutils (<< 12.1.1~),
  lynx,

## xterm 382

=== debian/changelog ===
xterm (382-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jun 2023 22:45:34 +0200

xterm (382-2) unstable; urgency=medium

  * Drop alternate build-dependency on bsdmainutils.
  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 19 Jun 2023 20:43:23 +0200

xterm (382-1) experimental; urgency=low

  * New upstream release.
  * Add temporary patch RCS-identifiers.diff, reverting some erroneous
    changes to RCS headers which ended up in the upstream tarball by
    mistake.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 01 Jun 2023 19:51:55 +0200

xterm (381-1) experimental; urgency=low

  * New upstream release.
  * Remove old upstream SHA1 signing key C52048C0C0748FEE from
    debian/upstream/signing-key.asc.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 29 May 2023 18:17:36 +0200

xterm (380-1) experimental; urgency=low

  * New upstream release.
    - Drop the -title option from uxterm and koi8rxterm, because that
      interferes with deriving the default title from the -e option
      (Closes: #1031837).  Compensate for this by using the -class option
      to derive a default title.
  * Configure with the --enable-pty-erase option to set the default value
    of the ptyInitialErase resource, rather than by patching XTerm.ad.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 11 May 2023 18:26:42 +0200

xterm (379-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Feb 2023 08:48:39 +0100

xterm (378-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jan 2023 14:46:34 +0100

xterm (377-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Dec 2022 09:38:40 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for xterm source package

# Copyright 2005 David Martínez Moreno
#
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)

HTML2TEXT:=lynx -dump -nolist -display_charset=utf-8

DEBTREEDIR:=$(CURDIR)/debian/tmp

DESKTOP_FLAGS = --vendor debian \
		--dir=$(DEBTREEDIR)/usr/share/applications

# disable some unsafe operations
CPPFLAGS += \
	-DDEF_ALLOW_FONT=False \
	-DDEF_ALLOW_TCAP=False \
	-DDEF_DISALLOWED_WINDOW=\\\"1,2,3,4,5,6,7,8,9,11,13,14,18,19,20,21,GetSelection,SetSelection,SetWinLines,SetXprop\\\"

override_dh_auto_clean:
	if [ -f ctlseqs.txt.old ]; then mv -f ctlseqs.txt.old ctlseqs.txt; fi
	dh_auto_clean

override_dh_autoreconf:
	dh_autoreconf autoreconf-dickey -- -f -i

override_dh_auto_configure:
	dh_auto_configure -- \
		--exec-prefix=/usr \
		--with-app-defaults=/etc/X11/app-defaults \
		--with-icondir=/usr/share/icons \
		--with-icon-theme=yes \
		--with-tty-group=tty \
		--enable-warnings \
		--enable-logging \
		--enable-wide-chars \
		--enable-luit \
		--enable-256-color \
		--disable-imake \
		--enable-narrowproto \
		--enable-exec-xterm \
		--enable-dabbrev \
		--enable-backarrow-is-erase \
		--enable-pty-erase \
		--enable-sixel-graphics \
		--with-utempter \
		--with-desktop-category=System,TerminalEmulator, \
		DESKTOP_FLAGS="$(DESKTOP_FLAGS)" \
		CFLAGS="$(CFLAGS)" \
		CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		LUIT=/usr/bin/luit

override_dh_auto_build:
	if [ ! -f ctlseqs.txt.old ] && [ -f ctlseqs.txt ]; \
	   then mv -f ctlseqs.txt ctlseqs.txt.old; \
	   else rm -f ctlseqs.txt; \
	fi
	dh_auto_build -- all ../ctlseqs.txt
	$(HTML2TEXT) debian/local/xterm.faq.html >debian/local/xterm.faq

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- install-desktop
	## Install lxterm command and manual page.
	install -m 755 debian/local/lxterm $(DEBTREEDIR)/usr/bin
	install -m 755 debian/local/lxterm.1 $(DEBTREEDIR)/usr/share/man/man1
	## Install terminfo and termcap precompiled definitions.
	install -d $(DEBTREEDIR)/usr/share/doc/xterm
	install -m 644 termcap  $(DEBTREEDIR)/usr/share/doc/xterm/xterm.termcap
	install -m 644 terminfo $(DEBTREEDIR)/usr/share/doc/xterm/xterm.terminfo

%:
	dh $@ --builddirectory=build/

debian/local/xterm.faq.html:
	wget -O $@ https://invisible-island.net/xterm/xterm.faq.html

.PHONY: debian/local/xterm.faq.html

## xterm 384

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.100 2023/01/25 01:14:44 tom Exp $
+# $XTermId: Makefile,v 1.105 2023/07/01 09:53:42 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	379
+PORTVERSION=	384
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-379
+DISTNAME=	xterm-384
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (384-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2023 09:45:15 +0200

xterm (384-1) unstable; urgency=medium

  * New upstream release.
    - Correct a step in rendering double-width characters with
      bitmap-fonts (report by Peter Fabinski, Closes: #1039986).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 12 Jul 2023 18:00:23 +0200

xterm (383-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jul 2023 01:12:08 +0200

xterm (383-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch RCS-identifiers.diff, applied upstream.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 30 Jun 2023 17:10:01 +0200

## xterm 389

=== debian/changelog ===
xterm (389-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jan 2024 08:37:05 +0100

xterm (389-1) unstable; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 03 Jan 2024 17:06:48 +0100

xterm (388-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:50:24 +0200

xterm (388-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 25 Oct 2023 18:10:45 +0200

xterm (387-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 19 Oct 2023 18:48:43 +0200

xterm (386-1) unstable; urgency=medium

  * New upstream release.
  * Drop cherry-picked patches.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 13 Oct 2023 18:03:09 +0200

xterm (385-1) unstable; urgency=medium

  * New upstream release.
  * Use the new configure options --with-utmp-path=/var/run/utmp and
    --with-wtmp-path=/var/log/wtmp to ensure correct paths to these files
    in the manpage (Closes: #1042767).
  * Apply patch from xterm 385-a, fixing a typo in aclocal.m4 which
    leads to an incorrect path to the wtmp file in the manpage.
  * Apply patch from xterm 385-b: fix regression in sixel colors.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 07 Oct 2023 17:20:35 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  debhelper (>= 13.1~),
  autoconf-dickey (>= 2.52+20210509),
  groff,
- bsdextrautils | bsdmainutils (<< 12.1.1~),
+ bsdextrautils,
  lynx,
  xorg-docs-core,
  desktop-file-utils,

## xterm 390

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.105 2023/07/01 09:53:42 tom Exp $
+# $XTermId: Makefile,v 1.111 2024/01/11 21:18:30 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	384
+PORTVERSION=	390
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-384
+DISTNAME=	xterm-390
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (390-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:32:54 +0000

xterm (390-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 01:04:20 +0000

xterm (390-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Feb 2024 08:55:52 +0100

xterm (390-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 21 Feb 2024 18:26:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## xterm 390-1ubuntu3trisquel1

=== debian/changelog ===
xterm (390-1ubuntu3trisquel1) ecne; urgency=medium

  * Do not install .desktop files

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 13 Oct 2024 07:46:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,9 @@
 		--enable-pty-erase \
 		--enable-sixel-graphics \
 		--with-utempter \
-		--with-desktop-category=System,TerminalEmulator, \
+		--with-utmp-path=/var/run/utmp \
+		--with-wtmp-path=/var/log/wtmp \
+		--disable-desktop \
 		DESKTOP_FLAGS="$(DESKTOP_FLAGS)" \
 		CFLAGS="$(CFLAGS)" \
 		CPPFLAGS="$(CPPFLAGS)" \
@@ -68,7 +70,7 @@
 	$(HTML2TEXT) debian/local/xterm.faq.html >debian/local/xterm.faq
 
 override_dh_auto_install:
-	dh_auto_install --destdir=debian/tmp -- install-desktop
+	dh_auto_install --destdir=debian/tmp 
 	## Install lxterm command and manual page.
 	install -m 755 debian/local/lxterm $(DEBTREEDIR)/usr/bin
 	install -m 755 debian/local/lxterm.1 $(DEBTREEDIR)/usr/share/man/man1

## xterm 392

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.111 2024/01/11 21:18:30 tom Exp $
+# $XTermId: Makefile,v 1.113 2024/05/15 20:52:03 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	390
+PORTVERSION=	392
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-390
+DISTNAME=	xterm-392
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (392-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 May 2024 09:15:25 +0200

xterm (392-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 27 May 2024 18:03:18 +0200

xterm (391-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 May 2024 08:23:03 +0200

xterm (391-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 20 May 2024 17:23:44 +0200

## xterm 393

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.113 2024/05/15 20:52:03 tom Exp $
+# $XTermId: Makefile,v 1.114 2024/05/25 13:03:00 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	392
+PORTVERSION=	393
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-392
+DISTNAME=	xterm-393
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (393-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 14 Jul 2024 17:42:19 +0200

## xterm 394

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.114 2024/05/25 13:03:00 tom Exp $
+# $XTermId: Makefile,v 1.115 2024/08/09 18:18:03 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	393
+PORTVERSION=	394
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $
 
-DISTNAME=	xterm-393
+DISTNAME=	xterm-394
 PKGREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/

=== debian/changelog ===
xterm (394-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Sep 2024 13:59:21 +0200

xterm (394-1) unstable; urgency=medium

  [ Sven Joachim ]
  * New upstream release.
    - Add null-pointer check for a Heisenbug (Closes: #1078255).
  * Refresh Debian patches.

  [ Kirill Rekhov]
  * Use https URL in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 12 Sep 2024 18:47:28 +0200

xterm (393-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jul 2024 16:13:14 +0200

## xterm 395

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.115 2024/08/09 18:18:03 tom Exp $
+# $XTermId: Makefile,v 1.116 2024/09/11 07:48:16 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	394
+PORTVERSION=	395
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1

=== debian/changelog ===
xterm (395-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 17:50:23 +0100

xterm (395-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 28 Oct 2024 18:56:33 +0100

## xterm 396

=== debian/changelog ===
xterm (396-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Dec 2024 17:40:31 +0100

xterm (396-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 05 Dec 2024 18:25:45 +0100

## xterm 397

=== package/freebsd/Makefile ===
# $XTermId: Makefile,v 1.119 2024/12/06 01:41:03 tom Exp $

# This is adapted from the FreeBSD port, installing as "xterm-dev" with
# separate resource- and manpage files.
# copy "xterm-${PORTVERSION}.tgz to the port's distfiles directory
# and "make makesum".

PORTNAME=	xterm
DISTVERSION=	397
CATEGORIES=	x11
MASTER_SITES=	https://invisible-island.net/archives/xterm/:src1 \
		https://invisible-mirror.net/archives/xterm/:src1
PKGNAMESUFFIX=	-dev
DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:src1

MAINTAINER=	ehaupt@FreeBSD.org
COMMENT=	Terminal emulator for the X Window System
WWW=		https://invisible-island.net/xterm/

LICENSE=	MIT
LICENSE_FILE=	${WRKSRC}/COPYING

LIB_DEPENDS+=	libfontconfig.so:x11-fonts/fontconfig

USES=			cpe localbase ncurses tar:tgz xorg
CPE_VENDOR=		invisible-island
USE_XORG=		ice x11 xext xft xmu xpm xt
GNU_CONFIGURE=		yes
CONFIGURE_ARGS+=	--enable-narrowproto \
			--with-utempter

CPPFLAGS+=	-DPIXMAP_ROOTDIR=${LOCALBASE}/share/pixmaps

CONFLICTS=	x11iraf

OPTIONS_DEFINE=		256COLOR DABBREV DECTERM GNOME LOGGING LUIT PCRE2 REGIS \
			SCRNDUMP SIXEL TOOLBAR WCHAR XINERAMA
OPTIONS_DEFAULT=	256COLOR LUIT SIXEL WCHAR XAW
OPTIONS_SINGLE=		ATHENA
OPTIONS_SINGLE_ATHENA=	NEXTAW XAW XAW3D XAW3DXFT

256COLOR_DESC=	Enable 256-color support
DABBREV_DESC=	Enable support for dabbrev-expand
DECTERM_DESC=	Enable DECterm Locator support
LOGGING_DESC=	Enable logging terminal I/O to a file
LUIT_DESC=	Use LUIT for locale convertion from/to UTF-8
NEXTAW_DESC=	Link with neXT Athena library
PCRE2_DESC=	${PCRE_DESC} version 2
REGIS_DESC=	Enable ReGIS graphics support
SCRNDUMP_DESC=	Enable XHTML and SVG screen dumps
SIXEL_DESC=	Enable Sixel graphics support
TOOLBAR_DESC=	Enable pulldown menus with a toolbar
WCHAR_DESC=	Enable wide-character support
XAW3DXFT_DESC=	Link with Xaw 3d xft (extended fonts) library
XAW3D_DESC=	Link with Xaw 3d library
XAW_DESC=	Link with Xaw library

256COLOR_CONFIGURE_ENABLE=	256-color
DABBREV_CONFIGURE_ENABLE=	dabbrev
DECTERM_CONFIGURE_ENABLE=	dec-locator
GNOME_USES=			desktop-file-utils
LOGGING_CONFIGURE_ENABLE=	logging
LUIT_IMPLIES=			WCHAR
LUIT_BUILD_DEPENDS=		luit:x11/luit
LUIT_RUN_DEPENDS=		luit:x11/luit
LUIT_CONFIGURE_ENABLE=		luit
NEXTAW_LIB_DEPENDS=		libneXtaw.so:x11-toolkits/neXtaw
NEXTAW_CONFIGURE_WITH=		neXtaw
PCRE2_LIB_DEPENDS=		libpcre2-8.so:devel/pcre2
PCRE2_CONFIGURE_WITH=		pcre2
REGIS_CONFIGURE_ENABLE=		regis-graphics
SCRNDUMP_CONFIGURE_ENABLE=	screen-dumps
SIXEL_CONFIGURE_ENABLE=		sixel-graphics
TOOLBAR_CONFIGURE_ENABLE=	toolbar
WCHAR_LIB_DEPENDS=		libfreetype.so:print/freetype2
WCHAR_CONFIGURE_ENABLE=		wide-chars
WCHAR_VARS=			PKGMESSAGE="${PKGDIR}/pkg-message.wchar"
XAW3DXFT_LIB_DEPENDS=		libXaw3dxft.so:x11-toolkits/libxaw3dxft
XAW3DXFT_CONFIGURE_WITH=	Xaw3dxft
XAW3D_LIB_DEPENDS=		libXaw3d.so:x11-toolkits/Xaw3d
XAW3D_CONFIGURE_WITH=		Xaw3d
XAW_USE=			XORG=xaw
XINERAMA_USE=			XORG=xinerama,xorgproto
XINERAMA_CONFIGURE_OFF=		--without-xinerama

PKG_CLASS=	XTermDev

.include <bsd.port.options.mk>

CONFIGURE_ARGS+=	--program-suffix=${PKGNAMESUFFIX} --with-app-class=${PKG_CLASS} --without-xterm-symlink

.if ! ${PORT_OPTIONS:MXAW3D} && ! ${PORT_OPTIONS:MXAW3DXFT} && ! ${PORT_OPTIONS:MNEXTAW}
USE_XORG+=	xaw
.endif

#ICONVERSION=	1
#
#post-extract:
#	@${CP} ${WRKDIR}/bsd-xterm-icons-${ICONVERSION}/*.png \
#		${WRKDIR}/bsd-xterm-icons-${ICONVERSION}/*.xpm \
#			${WRKSRC}/icons/

post-install:
.for f in koi8rxterm${PKGNAMESUFFIX} resize${PKGNAMESUFFIX} uxterm${PKGNAMESUFFIX} xterm${PKGNAMESUFFIX}
	@${CHMOD} ${BINMODE} ${STAGEDIR}${PREFIX}/bin/${f}
.endfor
	${INSTALL_DATA} ${WRKSRC}/xterm.desktop \
		${STAGEDIR}${PREFIX}/share/applications/xterm${PKGNAMESUFFIX}.desktop

.include <bsd.port.mk>

=== debian/changelog ===
xterm (397-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Feb 2025 11:00:27 +0100

xterm (397-1) unstable; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.
  * Update copy of XTerm FAQ to revision 1.419 (dated 2022/12/15).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 10 Feb 2025 17:49:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
 Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git

=== debian/tests/control ===
Test-Command: xvfb-run xterm -version
Restrictions: superficial
Depends: xterm, xvfb, xauth
